import 'package:flutter/material.dart';

class Resources {

  static String getLogo(String app) {
    return app == null ? null : 'assets/${app}_logo.png';
  }

  static String getSplash(String app) {
    return 'assets/${app != null ? app : 'pip'}_splash.png';
  }

  static Color getPrimaryColor(String app) {
    switch (app) {
      case 'pip': return new Color(0xff008794);
      case 'autobonus': return new Color(0xffeb0004);
      case 'dinect': return new Color(0xff3daee3);
      default: return new Color(0xffffffff);
    }
  }

  static Color getButtonColor(String app) {
    switch (app) {
      case 'pip': return new Color(0xfff49935);
      case 'autobonus': return new Color(0xffeb0004);
      case 'dinect': return new Color(0xff33cc99);
      default: return new Color(0xffffffff);
    }
  }
}